Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.set
Class SetMeasure<S>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.set.SetMeasure<S>

All Implemented Interfaces:
  Measure<Set<? extends S>>

Direct Known Subclasses:
  AverageLinkage, FullLinkage, Hausdorff, MaxCoupling, MaxSet, SalphaMeasure, SingleLinkage, WeightedMaxSum

    public class SetMeasure<S>

extends Object
implements Measure<Set<? extends S>>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`protected AggregationScheme` | `as`
`protected Extractor` | `extractor`
`protected Measure<S>` | `lmAsDissim`
`protected Measure<S>` | `lmAsSim`
`protected Measure<S>` | `localMeasure`

Constructor Summary
`SetMeasure(Measure<S> lm, Extractor e)`
`SetMeasure(Measure<S> lm, Extractor e, AggregationScheme as)`

Method Summary
`double` | `getDissim(Set<? extends S> o1, Set<? extends S> o2)`
`Measure<S>` | `getLocalMeasure()`
`double` | `getMeasureValue(Set<? extends S> o1, Set<? extends S> o2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(Set<? extends S> o1, Set<? extends S> o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### localMeasure

    protected Measure<S> localMeasure

### lmAsSim

    protected Measure<S> lmAsSim

### lmAsDissim

    protected Measure<S> lmAsDissim

### extractor

    protected Extractor extractor

### as

    protected AggregationScheme as

Constructor Detail

### SetMeasure

    public SetMeasure(Measure<S> lm,
                      Extractor e)

### SetMeasure

    public SetMeasure(Measure<S> lm,
                      Extractor e,
                      AggregationScheme as)

Method Detail

### getLocalMeasure

    public Measure<S> getLocalMeasure()

### getMType

    public Measure.TYPES getMType()

  Specified by:
    `getMType` in interface `Measure<Set<? extends S>>`

### getDissim

    public double getDissim(Set<? extends S> o1,
                            Set<? extends S> o2)

  Specified by:
    `getDissim` in interface `Measure<Set<? extends S>>`

### getMeasureValue

    public double getMeasureValue(Set<? extends S> o1,
                                  Set<? extends S> o2)

  Specified by:
    `getMeasureValue` in interface `Measure<Set<? extends S>>`

### getSim

    public double getSim(Set<? extends S> o1,
                         Set<? extends S> o2)

  Specified by:
    `getSim` in interface `Measure<Set<? extends S>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009